<?php
require("conexion.php");

$nom = $_SESSION['nom_admin'];
$iduser = $_SESSION['id_user'];
$suc = $_SESSION['IdSuc'];
$tipou= $_SESSION['tipouser'];
$cod = $_POST['dato'];
$totalp = $_POST['tot'];
$totalf = $_POST['totf'];
$dcto = $_POST['dcto'];
$subt = $_POST['subt'];
$anti = $_POST['anti'];
$folio = $_POST['foliof'];
$flag = $_POST['flag'];
$fecha = $_POST['fecha'];
$costo = $_POST['costo'];
$util = $_POST['util'];
$costop = $_POST['costop'];

$ser = substr($folio, 0,4);
	$fol = substr($folio, 4,8);

$final = $subt - $totalp;
$final = number_format($final,2,'.','');

$costof = $costo - $costop;
$costof = number_format($costof,2,'.','');
$utilidad = $final - $costof;
$utilidad = number_format($utilidad,2,'.','');


$fin = $final - $anti;

/*$codp = substr($cod, 0, -5);

$x = mysqli_query($conexion,"SELECT * FROM Ventas WHERE Serie = '$ser' AND FolioVenta = '$fol'");
$xn = mysqli_num_rows($xn);
if($flag == 2){
	$p = mysqli_query($conexion,"UPDATE VentasDetalle SET Activo = '0' WHERE CodProd = '$codp' AND PrecioTotal = '$totalp'  AND IdSucursal = '$suc' AND Serie ='$ser' AND IdVenta = '$fol'");
	echo $final.'|'.$fin.'|'.$costof.'|'.$utilidad;
}else if($flag == 1){
	$p = mysqli_query($conexion,"DELETE FROM VentasDetalle WHERE CodProd = '$codp' AND PrecioTotal = '$totalp'  AND IdSucursal = '$suc'  AND Serie IS NULL AND IdVenta = 0  AND IdUsuario = '$iduser'");
	echo $final.'|'.$fin.'|'.$costof.'|'.$utilidad;
}*/

$x = mysqli_query($conexion,"SELECT * FROM Ventas WHERE Serie = '$ser' AND FolioVenta = '$fol'");
$xn = mysqli_num_rows($xn);
if($flag == 2){
	$p = mysqli_query($conexion,"UPDATE VentasDetalle SET Activo = '0' WHERE IdVentaDetalle = '$cod'");
	echo $final.'|'.$fin.'|'.$costof.'|'.$utilidad;
}else if($flag == 1){
	$p = mysqli_query($conexion,"DELETE FROM VentasDetalle WHERE IdVentaDetalle = '$cod'");
	echo $final.'|'.$fin.'|'.$costof.'|'.$utilidad;
}

?>